import ogr
import time

# 1860-point Polygon
f=file('wktPolygon.txt','rb')
wkt=f.read()
P2=ogr.CreateGeometryFromWkt(wkt)
f.close()

# clipping rectangle -- cuts polygon above in "half" -> intersection is 1514-point polygon
f=file('wktRectangle.txt','rb')
wkt=f.read()
P1=ogr.CreateGeometryFromWkt(wkt)
f.close()

print "%s.Intersection(%s)"%(P1.GetGeometryName(),P2.GetGeometryName())
print [P1.GetGeometryRef(idx).GetPointCount() for idx in xrange(P1.GetGeometryCount())]
print [P2.GetGeometryRef(idx).GetPointCount() for idx in xrange(P2.GetGeometryCount())]
t=time.time(); P1iP2=P1.Intersection(P2); print time.time()-t, sum([P1iP2.GetGeometryRef(idx).GetPointCount() for idx in xrange(P1iP2.GetGeometryCount())])

# Using FWTools 1.0.9
#C:\temp\>python test_inter.py
#POLYGON.Intersection(POLYGON)
#[5]
#[1860]
#0.00999999046326 1514

# Using FWTools 1.2.2
#C:\temp\>python test_inter.py
#POLYGON.Intersection(POLYGON)
#[5]
#[1860]
#11.6159999371 1514